roundcube et nginx only : dépendances et paquet virtuel

Le
Eric de la Musse
Bonjour à tous,

je vous soumets un petit problème d'installation du paquet roundcube
qu'aptitude s'obstine à vouloir m'installer avec apache2-mpm-prefork
alors que je veux nginx comme serveur web (je pars du principe qu'il est
possible d'installer roundcube sans apache ce que je crois comprendre si
je lis bien les dépendances).

Je manque d'expérience avec les outils de gestion des packages pour
résoudre le problème et il me faudrait un petit coup de pouce pour me
mettre sur la piste

Voilà comment je vois les choses :

1 - tentative d'installation abandonnée :

> $ sudo aptitude install roundcube
> Les NOUVEAUX paquets suivants vont être installés :
> apache2-mpm-prefork{a} apache2-utils{a} apache2.2-bin{a} apache2.2-common{a} aspell{a} aspell-en{a}
> dbconfig-common{a} javascript-comm

2 - dépendances (une partie en tout cas) :

> $ apt-cache show roundcube | grep Depends
> Depends: roundcube-core (= 0.3.1-6)
> $ apt-cache show roundcube-core | grep Depends
> Depends: dbconfig-common, debconf (>= 0.5) | debconf-2.0, apache2 |
> lighttpd | httpd, php5, php5-mcrypt, php5-gd, roundcube-sqlite (=
> 0.3.1-6) | roundcube-mysql (= 0.3.1-6) | roundcube-pgsql (= 0.3.1-6),
> php-mdb2, php-auth, php-net-smtp, php-net-socket, php-mail-mime (>=
> 1.7.0), ucf, tinymce (>= 3), libmagic1, php5-pspell, libjs-jquery (>=
> 1.3.3)

3 - nginx est bien installé (et pas apache) et fournit le paquet virtuel
httpd :

> $ dpkg -l | grep -E "(nginx|apache)"
> ii nginx 0.7.67-3 small, but very powerful and efficient web server and mail proxy
> $ apt-cache show nginx | grep Provide
> Provides: httpd

Voilà où j'en suis Qu'est ce qui d'après vous peux entraîner aptitude
à vouloir installer apache dans ces conditions ?

--
Eric de la Musse

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/4D661479.6010907@pouik.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
daniel huhardeaux
Le #23152471
Le 24/02/2011 09:19, Eric de la Musse a écrit :
Bonjour à tous,




Bonjour

je vous soumets un petit problème d'installation du paquet roundcube
qu'aptitude s'obstine à vouloir m'installer avec apache2-mpm-prefork
alors que je veux nginx comme serveur web (je pars du principe qu'il est
possible d'installer roundcube sans apache ce que je crois comprendre si
je lis bien les dépendances).




J'utilise roundcube + lighttpd et ai eu le même problème. J'ai fini par
abandonner et laisser apache s'installer. Une fois fait tu dois pouvoir
supprimer apache2 (lenny + backports)

--
Daniel

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Eric de la Musse
Le #23152631
Le 24/02/2011 09:36, daniel huhardeaux a écrit :

J'utilise roundcube + lighttpd et ai eu le même problème. J'ai fini par
abandonner et laisser apache s'installer. Une fois fait tu dois pouvoir
supprimer apache2 (lenny + backports)



ok merci c'est ce que je ferais si nécessaire (pas encore testé) mais
j'aimerais quand même comprendre pourquoi nginx installé sur mon système
(squeeze) qui fournit le paquet virtuel httpd n'est pas "reconnu"/pris
en compte par aptitude ? A moins que le problème se situe ailleurs...

Y'a t-il un moyen de visualiser les choix de sélection de paquets fait
par aptitude lorsque je lui demande d'installer roundcube ? La commande
suivante semble s'en rapprocher mais je ne suis pas sûr de bien
l'interpréter (en tout cas je n'y trouve pas ma réponse : pourquoi
apache alors que nginx/httpd est installé sur le système ?).

Merci à toi en tout cas.

$ sudo aptitude --show-deps install roundcube
Les NOUVEAUX paquets suivants vont être installés :
apache2-mpm-prefork{a} (D: libapache2-mod-php5, D: roundcube-core, S: javascript-common)
apache2-utils{a} (D: apache2.2-common) apache2.2-bin{a} (D: apache2-mpm-prefork, D: apache2.2-common)
apache2.2-common{a} (D: apache2-mpm-prefork, D: libapache2-mod-php5)
aspell{a} (D: aspell-en, S: libaspell15, S: mutt) aspell-en{a} (R: aspell, R: libaspell15)
dbconfig-common{a} (D: roundcube-core) javascript-common{a} (R: libjs-jquery)
libapache2-mod-php5{a} (D: php5, D: php5-gd, D: php5-mcrypt, D: php5-pspell, D: php5-sqlite, D: php5-suhosin)
libaspell15{a} (D: aspell, D: php5-pspell) libgd2-xpm{a} (D: php5-gd) libjs-jquery{a} (D: roundcube-core)
libmcrypt4{a} (D: php5-mcrypt) libonig2{a} (D: libapache2-mod-php5, D: php5-cli)
libqdbm14{a} (D: libapache2-mod-php5, D: php5-cli) libsqlite0{a} (D: php5-sqlite, D: sqlite)
libt1-5{a} (D: php5-gd) libxpm4{a} (D: libgd2-xpm, D: php5-gd) php-auth{a} (D: roundcube-core)
php-auth-sasl{a} (R: php-net-smtp, S: roundcube-core) php-mail-mime{a} (D: roundcube-core)
php-mail-mimedecode{a} (D: php-mail-mime) php-mdb2{a} (D: php-mdb2-driver-sqlite, D: roundcube-core)
php-mdb2-driver-sqlite{a} (D: roundcube-sqlite) php-net-smtp{a} (D: roundcube-core)
php-net-socket{a} (D: php-net-smtp, D: roundcube-core)
php-pear{a} (P: php-net-smtp, D: php-auth, D: php-auth-sasl, D: php-mail-mime, D: php-mail-mimedecode, D: php-mdb2, D: php-mdb2-driver-sqlite, D: php-net-socket, S: libapache2-mod-php5, S: php5-cli, R: php-pear)
php5{a} (D: roundcube-core)
php5-cli{a} (D: php-pear, D: php5-gd, D: php5-mcrypt, D: php5-pspell, D: php5-sqlite, D: php5-suhosin, R: libapache2-mod-php5)
php5-common{a} (D: libapache2-mod-php5, D: php-pear, D: php5, D: php5-cli, D: php5-gd, D: php5-mcrypt, D: php5-pspell, D: php5-sqlite)
php5-gd{a} (D: roundcube-core) php5-mcrypt{a} (D: roundcube-core) php5-pspell{a} (D: roundcube-core)
php5-sqlite{a} (D: php-mdb2-driver-sqlite) php5-suhosin{a} (R: php5-common) roundcube
roundcube-core{a} (D: roundcube) roundcube-sqlite{a} (D: roundcube-core) sqlite{a} (D: roundcube-sqlite)
tinymce{a} (D: roundcube-core) wwwconfig-common{a} (D: javascript-common)
0 paquets mis à jour, 41 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o/13,3 Mo d'archives. Après dépaquetage, 45,4 Mo seront utilisés.



--
Eric de la Musse

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Daniel Caillibaud
Le #23152801
Le 24/02/11 à 09:19, Eric de la Musse EDLM> Bonjour à tous,
EDLM>
EDLM> je vous soumets un petit problème d'installation du paquet roundcube
EDLM> qu'aptitude s'obstine à vouloir m'installer avec apache2-mpm-prefork
EDLM> alors que je veux nginx comme serveur web

aptitude why apache2-mpm-prefork ?

Ça ne serait pas plutôt à cause d'un paquet php qui te manquerait et qui s'installerait par
défaut avec libapache2-mod-php5 ?

Tu as bien php5-cgi et tout ce qu'il faut pour avoir nginx+php5+mysql (+ cl ient imap) avant
d'installer roundcube ?

Sinon, avec "aptitude install roundcube" quand il te propose d'installer ap ache2, tu réponds N
jusqu'à ce qu'il te propose une solution sans apache2.

--
Daniel

Les hommes naissent libres et égaux en droits,
ensuite ils se mettent à boire.
Cavanna

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Eric de la Musse
Le #23152881
Le 24/02/2011 10:41, Daniel Caillibaud a écrit :

aptitude why apache2-mpm-prefork ?



$ aptitude why apache2-mpm-prefork
i apt Suggère aptitude | synaptic | wajig
p synaptic Suggère dwww
p dwww Dépend apache2 | httpd-cgi
p apache2 Dépend apache2-mpm-worker (= 2.2.16-6) |
apache2-mpm-prefork (= 2.2.16-6) | apache2-mpm-event (= 2.2.16-6) | a
pache2-mpm-itk (= 2.2.16-6)

Tu as bien php5-cgi et tout ce qu'il faut pour avoir nginx+php5+mysql (+ client imap) avant
d'installer roundcube ?



Non pas encore et effectivement en installant au préalable php5-cgi
l'installation de roundcube se fait comme je le souhaitais (sans
apache2). Merci le problème était bien là.

D'après ce que je comprends la chaîne qui aboutissait à l'installation
d'apache était : roundcube -> roundcube-core -> php5 ->
(libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi) : et là le
choix effectué était libapache2-mod-php5 au lieu de php5-cgi. En
installant au préalable php5-cgi tout rentre dans l'ordre.

Dans ce genre de situation comment "débugger" le plus
facilement/logiquement le problème ? Y'a t-il un moyen d'afficher la
succession des choix faits par aptitude sur une commande install ?
J'avoue que je m'y perds un peu...

--
Eric de la Musse

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme